package comptest.http.importedhttp11;

import java.io.File;
import java.io.FileNotFoundException;

import com.ibm.etools.comptest.http.execution.HttpBaseScheduler;

/**
 * HTTP Scheduler
 */
public class HttpScheduler extends HttpBaseScheduler {
	public static void main(String[] args) {
		HttpScheduler scheduler = new HttpScheduler();
		scheduler.handleArguments(args);
		try {
			scheduler.setConfigurationFile(
				new File("comptest/http/importedhttp11/configuration.xml"));
		} catch (FileNotFoundException fnfe) {
			fnfe.printStackTrace();
		}

		scheduler.setArbiter(new HttpArbiter());
		scheduler.setStopPrimitiveTaskAfterExecution(true);
		scheduler.setMaxThreadOnPool(10);

		scheduler.run(new ImportedHTTP11("Imported HTTP1 1"));		
	}
}