package comptest.http.importedhttp12;

import com.ibm.etools.comptest.model.common.DelayTask;
import com.ibm.etools.comptest.model.core.Block;
import com.ibm.etools.comptest.model.core.EnumerationManager;
import com.ibm.etools.comptest.http.execution.HttpTask;

/**
 * Main Block
 *
 * Top-level block for the testcase.
 */
public class MainBlock extends Block {
	/**
	 * Constructor for MainBlock.
	 */
	public MainBlock() {
		super();
	}

	/**
	 * Constructor for MainBlock.
	 * @param name
	 */
	public MainBlock(String name) {
		super(name);
	}

	/**
	 * @see Task#initialize()
	 */
	protected void initialize() {
		// Block attributes

		setId("BlockInstanceImpl1");
		setTotalIterations(5);
		setFlowType(EnumerationManager.BlockFlowControl_Asynchronous);

		// Children instanciation

		addChild(new Page1("Page 1"));

		addChild(new Page2("Page 2"));
	}
}