package comptest.java.testtheservlet1;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.extensions.RepeatedTest;

import com.ibm.etools.comptest.java.junit.ComptestAsynchronousTestSuite;
import com.ibm.etools.comptest.java.junit.ComptestSequentialTestSuite;
import com.ibm.etools.comptest.java.junit.ComptestTestCase;

/**
 * Main Block
 *
 * Top-level block for the testcase.
 */
public class MainBlock extends ComptestTestCase {
	/**
	 * Constructor for MainBlock.
	 * @param name
	 */
	public MainBlock(String name) {
		super(name);
	}

	/**
	 * Returns the JUnit test suite implemented by this
	 * test class.
	 */
	public static Test suite() {
		TestSuite testSuite =
			new ComptestSequentialTestSuite(MainBlock.class.getName());

		testSuite.addTest(CheckEmpty.suite());
		testSuite.addTest(SubmitValuesAndCheckResults.suite());

		return new RepeatedTest(testSuite, 1);
	}

}