package com.ibm.etools.pd.widget.viewer;

/*
 * Disclaimer:
 * The following source code is sample code created by IBM Corporation. 
 * This sample code is not part of any standard IBM product and is provided 
 * to you solely for the purpose of assisting you in the development of your 
 * applications. The code is provided 'AS IS', without warranty or condition 
 * of any kind. IBM shall not be liable for any damages arising out of your 
 * use of the sample code, even if IBM has been advised of the possibility of 
 * such damages.
 */

/**
 * The <code>IDataInputProcessingExceptionCodes</code> interface holds 
 * the error codes used when raising exceptions of type 
 * <code>DataInputProcessingException</code>.
 * 
 * @version %I%  
 */
public interface IDataInputProcessingExceptionCodes {	
	
	/**
	 * CATEGORY_ID_MISMATCH = 100
	 */
	short CATEGORY_ID_MISMATCH=									100;
	
	/**
	 * DUPLICATE_POSITION_NUMBER = 101
	 */
	short DUPLICATE_POSITION_NUMBER=							101;
		
	/**
	 * INVALID_NUMBER_FORMAT = 102
	 */
	short INVALID_NUMBER_FORMAT=								102;
	
	/**
	 * INVALID_NUMBER_FORMAT = 103
	 */
	short MAXIMUM_NUMBER_OF_SEGMENT_MARKERS_EXCEEDED=			103;

	
	/**
	 * MISSING_CATEGORY_IDS_OR_DATAPOINT_VALUES = 104
	 */
	short MISSING_CATEGORY_IDS_OR_DATAPOINT_VALUES= 			104;
	
	/**
	 * MISSING_CATEGORY_NAMES = 105
	 */
	short MISSING_CATEGORY_NAMES=								105;
	
	/**
	 * MISSING_IDS_OR_POSITIONS = 106
	 */
	short MISSING_IDS_OR_POSITIONS=								106;
	
	/**
	 * MISSING_NAMES_OR_POSITIONS = 107
	 */
	short MISSING_NAMES_OR_POSITIONS=							107;

	/**
	 * MISSING_PERCENTAGE_OF_DATAPOINT_TOTAL_OR_POSITION = 108
	 */
	short MISSING_PERCENTAGE_OF_DATAPOINT_TOTAL_OR_POSITION=	108;
	/**
	 * MISSING_PERCENTAGES = 109
	 */
	short MISSING_PERCENTAGES=									109;
	
	/**
	 * MISSING_TOTALS = 110
	 */
	short MISSING_TOTALS=										110;
	
	/**
	 * MISSING_TOTALS_OR_POSITIONS = 111
	 */
	short MISSING_TOTALS_OR_POSITIONS=							111;
	
	/**
	 * MISSING_VALUES_OR_POSITIONS = 112
	 */
	short MISSING_VALUES_OR_POSITIONS=							112;

	/**
	 * NO_CONTEXT_FOUND = 113
	 */
	short NO_CONTEXT_FOUND=										113;
	
	/**
	 * NO_DATA_DOCUMENT = 114
	 */
	short NO_DATA_DOCUMENT=										114;

	/**
	 * NO_DATASET_FOUND = 115
	 */
	short NO_DATASETS_FOUND=									115;
	
	/**
	 * NO_DESCRIPTION_FOUND = 116
	 */
	short NO_DESCRIPTION_FOUND=									116;
	
	/**
	 * NO_IDS_FOUND = 117
	 */
	short NO_IDS_FOUND=											117;
	
	/**
	 * NO_NAMES_FOUND = 118
	 */
	short NO_NAMES_FOUND=										118;
	
	/**
	 * NO_PERCENTAGE_OF_DATAPOINT_TOTAL_FOUND = 119
	 */
	short NO_PERCENTAGE_OF_DATAPOINT_TOTAL_FOUND=				119;
	
	/**
	 * NO_SUMMARY_FOUND = 120
	 */
	short NO_SUMMARY_FOUND=										120;
	
	/**
	 * NO_TIMESTAMP_FOUND = 121
	 */
	short NO_TIMESTAMP_FOUND=									121;
	
	/**
	 * NO_TOTALS_FOUND = 122
	 */
	short NO_TOTALS_FOUND=										122;
	
	/**
	 * NO_VALUE_FOUND = 123
	 */
	short NO_VALUE_FOUND=										123;
	
	/**
	 * NO_VALUES_FOUND = 124
	 */
	short NO_VALUES_FOUND=										124;
	
	/**
	 * POSITION_NUMBER_OUT_OF_BOUNDS = 125
	 */
	short POSITION_NUMBER_OUT_OF_BOUNDS=						125;
}
