package com.ibm.etools.pd.widget.viewer;

/*
 * Disclaimer:
 * The following source code is sample code created by IBM Corporation. 
 * This sample code is not part of any standard IBM product and is provided 
 * to you solely for the purpose of assisting you in the development of your 
 * applications. The code is provided 'AS IS', without warranty or condition 
 * of any kind. IBM shall not be liable for any damages arising out of your 
 * use of the sample code, even if IBM has been advised of the possibility of 
 * such damages.
 */

/**
 * The <code>IGraphicTypeConstants</code> interface contains constants
 * denoting the known generated types. Users should extend this to add
 * their own types if it is necessary to distinguish types.
 *  
 * @version %I%
 */ 
public interface IGraphicTypeConstants {	
	/**
	 * The generated type is a line chart.
	 */
	String LINE_CHART=	  "line";
	/**
	 * The generated type is a pie chart.
	 */
	String PIE_CHART=	  "pie";
	/**
	 * The generated type is a bar (column) chart.
	 */
	String BAR_CHART=	  "bar";
	/**
	 * The generated type is a stacked bar (column) chart.
	 */
	String STACKBAR_CHART= "stack";
	/**
	 * The generated type is a meter.
	 */
	String METER=		  "meter";
}

