//  Toronto SVG Widgets JavaSript Functions 02/10/07
//
//
// Licensed Materials - Property of IBM
// 5724-D14
// (C) Copyright IBM Corp. 2002 - All Rights Reserved.
// All Rights Reserved. 
// Note to U.S. Government Users Restricted Rights:  Use, duplication or 
// disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
//


// get/set cookie functions for SVG use in NN 4.7
function get_NNCookie(name){		
	if (document.cookie != "") {		
		var start = document.cookie.indexOf(name+ "=");
		var len = start+name.length+1;
		if ((!start) && (name != document.cookie.substring(0,name.length))) return null;
		if (start == -1) return null;
		var end = document.cookie.indexOf(";",len);
		if (end == -1) end = document.cookie.length;
		return unescape(document.cookie.substring(len,end));
	} else {
 		return null;
	}
} 
			
function set_NNCookie(name,value,expires,path,domain,secure){	
	document.cookie = name + "=" + escape(value) +
	((expires) ? ";expires=" + expires.toGMTString() : "") +
	((path) ? ";path=" + path : "") + 
	((domain) ? ";domain=" + domain : "") + 
	((secure) ? ";secure" : "");
}

// in the <script> element content of the importing document, create this var and set it to false
var hasSVGCookieSupport = true;

