package a.b.c;

/*
 * Licensed Materials - Property of IBM
 * 5724-D14
 * (C) Copyright IBM Corp. 2000, 2002 - All Rights Reserved.
 * All Rights Reserved. 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
 *
 * # %Z% %I% %W% %G% %U% [%H% %T%]
 */
 
import java.util.Iterator;
 
import com.ibm.etools.comptest.base.util.BaseString;
import com.ibm.etools.comptest.ComptestLabelProvider;
import com.ibm.etools.comptest.definition.FlowType;
import com.ibm.etools.comptest.instance.BlockInstance;
import com.ibm.etools.comptest.instance.TaskInstance;
import com.ibm.etools.comptest.instance.TestcaseInstance;
import com.ibm.etools.comptest.instance.VerificationPointInstance;
import com.ibm.etools.comptest.tasks.common.DelayTaskInstance;
import com.ibm.etools.comptest.tasks.jav.JavaTaskInstance;


class SKELETON_CLASS
{
	public static final String copyright = "(c) Copyright IBM Corporation 2001.";

	public String getJUnitSuiteClass(BlockInstance blockInstance)
	{
		String suiteClass = null;
		switch(blockInstance.getFlow().getValue())
		{
			case FlowType.ASYNCHRONOUS:
				suiteClass = "ComptestAsynchronousTestSuite";
				break;
				
			case FlowType.SEQUENTIAL:
				suiteClass = "ComptestSequentialTestSuite";
				break;
		}
		
		return suiteClass;		
	}	
	
	public String generate(String packageName, JavaCodeGenHelper codeGenHelper, BlockInstance blockInstance)
	{
		return "";
	}	
}
